#!/bin/sh
# $Id: mailcset.sh,v 1.6 2002/10/09 14:53:29 dwmw2 Exp $

CSET=$1

# Hmmm. How to get just the first line in a dspec without 'head -1'?
echo -n "Subject: " ; bk changes -r$CSET -d'$each(:C:){(:C:)\n}' | head -1

# Grrr. bk prs needs an 'rfc822 datestamp' keyword.
DATE="`bk changes -r$CSET -d':D: :T: :TZ: \n' | sed 's/\([+-]..\):/\1/'`"
# How can I preserve timezone information?
echo -n "Date: " ; date -d "$DATE" -R -u
echo "X-BK-Repository: `hostname`:`pwd`"
echo "X-BK-ChangeSetKey: `bk changes -r$CSET -d:CSETKEY:`"
echo "From: Linux Kernel Mailing List <linux-kernel@vger.kernel.org>"
echo "To: BK Commits List: ;"
echo
bk changes -r$CSET -d':G: :I:, :D: :T::TZ:, :USER:@:HOST:\n\n$each(:C:){\t(:C:)\n}'
echo
echo
bk export -h -tpatch -r$CSET > ~/tmp/bkpatch.$$
diffstat < ~/tmp/bkpatch.$$
echo
echo
cat ~/tmp/bkpatch.$$
rm ~/tmp/bkpatch.$$
